Skip to content
Kumquat
Esc
↑↓navigate↵open⌘Jpreview

List Inbox

The caller’s own notifications, newest first. Whose inbox this is comes from the verified token, never from the request.

GET/api/v1/inbox
Authorization
AuthorizationBearer token · headerrequired
or
AuthorizationOAuth2 access token · headerrequired
Query parameters
limitinteger
min 1 · max 100 · default: 20
cursorstring | any
opaque keyset cursor from the previous page
unreadboolean
only what has not been read yet
default: false
kindNotificationKind[] | any
repeat to filter on several
Responses
200Successful Response
successboolean
default: true
dataInboxPage | any
Show properties
Any of:
InboxPage
notificationsNotification[]required
Show properties
Array of Notification
idstring
schema_versioninteger
default: 1
recipient_idstringrequired
kindNotificationKindrequired
Allowed:comment_mentioncomment_replytask_assignedtask_status_changedtask_due_soontask_overduerun_awaiting_inputrun_succeededrun_failedexport_finishedexport_failedautomation_succeededautomation_faileddrive_files_left_behindlegacy_remap_unresolved
dedupe_keystringrequired
titlestringrequired
bodystring
default: ""
urlstringrequired
actor_idstring | any
Show properties
Any of:
string
string
any
any
actor_namestring | any
Show properties
Any of:
string
string
any
any
actor_image_urlstring | any
Show properties
Any of:
string
string
any
any
entity_typeNotificationEntityrequired
Allowed:taskcommentrunexport
entity_idstringrequired
entity_labelstring
default: ""
topicstring | any
Show properties
Any of:
string
string
any
any
read_atstring<date-time> | any
Show properties
Any of:
string<date-time>
string<date-time>
any
any
created_atstring<date-time>
metaCursorMetarequired
`total` is served on the first page only (no cursor).
Show properties
next_cursorstring | any
Show properties
Any of:
string
string
any
any
totalinteger | any
Show properties
Any of:
integer
integer
any
any
unread_countintegerrequired
any
any
messagestring | any
Show properties
Any of:
string
string
any
any
errorsstring[] | any
Show properties
Any of:
string[]
Array of string
string
any
any
422Validation Error
detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X GET "/api/v1/inbox" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "success": true,
  "data": {
    "notifications": [
      {
        "id": "string",
        "schema_version": 1,
        "recipient_id": "string",
        "kind": "comment_mention",
        "dedupe_key": "string",
        "title": "string",
        "body": "",
        "url": "string",
        "actor_id": "string",
        "actor_name": "string",
        "actor_image_url": "string",
        "entity_type": "task",
        "entity_id": "string",
        "entity_label": "",
        "topic": "string",
        "read_at": "2019-08-24T14:15:22Z",
        "created_at": "2019-08-24T14:15:22Z"
      }
    ],
    "meta": {
      "next_cursor": "string",
      "total": 0
    },
    "unread_count": 0
  },
  "message": "string",
  "errors": [
    "string"
  ]
}